Debian Bug report logs - #630356
pu: package apr/1.4.2-6+squeeze3

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Stefan Fritsch <sf@sfritsch.de>

Date: Mon, 13 Jun 2011 10:42:16 UTC

Severity: normal

Tags: squeeze

Fixed in version 6.0.2

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630356; Package release.debian.org. (Mon, 13 Jun 2011 10:42:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Jun 2011 10:42:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package apr/1.4.2-6+squeeze3
Date: Mon, 13 Jun 2011 12:40:33 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Please accept apr/1.4.2-6+squeeze3 in s-p-u:

apr (1.4.2-6+squeeze3) stable; urgency=low

   * Fix apr_ino_t changing size depending on -D_FILE_OFFSET_BITS on
     kfreebsd-*. Closes: #616323

In addition, some packgages need to be binNMUed on kfreebsd-*:

libapache2-mod-perl2
php5
php-svn
rapidsvn
subversion

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=616590 for the details.
The issue causes segfaults on kfreebsd.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630356; Package release.debian.org. (Mon, 13 Jun 2011 11:42:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Jun 2011 11:42:41 GMT) Full text and rfc822 format available.

Message #10 received at 630356@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Stefan Fritsch <sf@sfritsch.de>, <630356@bugs.debian.org>
Subject: Re: Bug#630356: pu: package apr/1.4.2-6+squeeze3
Date: Mon, 13 Jun 2011 12:40:18 +0100
Hi,

On Mon, 13 Jun 2011 12:40:33 +0200, Stefan Fritsch wrote:
> Please accept apr/1.4.2-6+squeeze3 in s-p-u:

Generally a p-u bug is a discussion of a proposed upload, not a request 
to accept something that's already been uploaded.

In any case:

> In addition, some packgages need to be binNMUed on kfreebsd-*:
>
> libapache2-mod-perl2
> php5
> php-svn
> rapidsvn
> subversion

At least for subversion, this won't work, due to #629952.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630356; Package release.debian.org. (Mon, 13 Jun 2011 13:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Jun 2011 13:09:07 GMT) Full text and rfc822 format available.

Message #15 received at 630356@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 630356@bugs.debian.org
Subject: Re: Bug#630356: pu: package apr/1.4.2-6+squeeze3
Date: Mon, 13 Jun 2011 15:06:28 +0200
On Monday 13 June 2011, Adam D. Barratt wrote:
> On Mon, 13 Jun 2011 12:40:33 +0200, Stefan Fritsch wrote:
> > Please accept apr/1.4.2-6+squeeze3 in s-p-u:
> Generally a p-u bug is a discussion of a proposed upload, not a
> request to accept something that's already been uploaded.

I thought the change was uncontroversial (because already discussed 
for sid) and wanted to save some round trip times, in order to maybe 
get this in before the s-p-u freeze.

> In any case:
> > In addition, some packgages need to be binNMUed on kfreebsd-*:
> > 
> > libapache2-mod-perl2
> > php5
> > php-svn
> > rapidsvn
> > subversion
> 
> At least for subversion, this won't work, due to #629952.

That's unfortunate. But I would still include the fixed apr and the 
working binNMUs for the other packages. When the FTBFS is fixed for 
subversion, it will automatically pick up the apr fix. Until then, 
subversion is likely broken on kfreebsd-* anyway, so I don't expect 
any regression.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630356; Package release.debian.org. (Mon, 13 Jun 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Jun 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 630356@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Stefan Fritsch <sf@sfritsch.de>, 630356@bugs.debian.org
Subject: Re: Bug#630356: pu: package apr/1.4.2-6+squeeze3
Date: Mon, 13 Jun 2011 19:41:28 +0100
tag 630356 + squeeze pending
thanks

On Mon, 2011-06-13 at 15:06 +0200, Stefan Fritsch wrote:
> On Monday 13 June 2011, Adam D. Barratt wrote:
> > On Mon, 13 Jun 2011 12:40:33 +0200, Stefan Fritsch wrote:
> > > Please accept apr/1.4.2-6+squeeze3 in s-p-u:
> > Generally a p-u bug is a discussion of a proposed upload, not a
> > request to accept something that's already been uploaded.
> 
> I thought the change was uncontroversial (because already discussed 
> for sid) and wanted to save some round trip times, in order to maybe 
> get this in before the s-p-u freeze.

What's "obviously acceptable" for unstable isn't necessarily so for
stable, and there's still several days before the p-u freeze.

I've flagged the package for acceptance at the next dinstall; thanks for
working on removing an RC bug from stable.

> > In any case:
> > > In addition, some packgages need to be binNMUed on kfreebsd-*:
> > > 
> > > libapache2-mod-perl2
> > > php5
> > > php-svn
> > > rapidsvn
> > > subversion
> > 
> > At least for subversion, this won't work, due to #629952.
> 
> That's unfortunate. But I would still include the fixed apr and the 
> working binNMUs for the other packages. When the FTBFS is fixed for 
> subversion, it will automatically pick up the apr fix. Until then, 
> subversion is likely broken on kfreebsd-* anyway, so I don't expect 
> any regression.

With the exception of subversion, I've scheduled the above with a
dep-wait on the new apr version.

Regards,

Adam





Added tag(s) squeeze and pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 13 Jun 2011 18:45:06 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.2, send any further explanations to Stefan Fritsch <sf@sfritsch.de> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 26 Jun 2011 15:03:34 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:40:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:01:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.